org.kie.internal.runtime.conf

## Enum MergeMode

- java.lang.Object
- - java.lang.Enum<MergeMode>
  - - org.kie.internal.runtime.conf.MergeMode

- All Implemented Interfaces:
    Serializable, Comparable<MergeMode>

      public enum MergeMode
      extends Enum<MergeMode>

  Defines merging strategy of two descriptors:
  - KEEP_ALL mean the 'master' descriptor is kept
  - OVERRIDE_ALL means the 'slave' descriptor is returned
  - OVERRIDE_EMPTY mean the 'slave' non empty value override corresponding values of the master, including collections
  - MERGE_COLLECTIONS means same as OVERRIDE_EMPTY but merges collections instead of overriding them

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KEEP_ALL`
    `MERGE_COLLECTIONS`
    `OVERRIDE_ALL`
    `OVERRIDE_EMPTY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MergeMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MergeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEEP_ALL

          public static final MergeMode KEEP_ALL

    - #### OVERRIDE_ALL

          public static final MergeMode OVERRIDE_ALL

    - #### OVERRIDE_EMPTY

          public static final MergeMode OVERRIDE_EMPTY

    - #### MERGE_COLLECTIONS

          public static final MergeMode MERGE_COLLECTIONS

  - ### Method Detail

    - #### values

          public static MergeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MergeMode c : MergeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MergeMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.